AOMedia AV1 Codec: RATE_CONTROL Struct Reference

| AOMedia AV1 Codec

Data Fields
RATE_CONTROL Struct Reference

Rate Control parameters and status. More...

`#include <ratectrl.h>`

## Data Fields
int | base_frame_target
int | this_frame_target
int | projected_frame_size
int | coefficient_size
int | sb64_target_rate
int | frames_since_golden
int | frames_till_gf_update_due
int | intervals_till_gf_calculate_due
int | frames_to_key
int | worst_quality
int | best_quality
int | active_worst_quality

## Detailed Description

Rate Control parameters and status.

## Field Documentation

## ◆ base_frame_target

int RATE_CONTROL::base_frame_target

Baseline target rate for frame before adjustment for previous under or over shoot.

Referenced by av1_twopass_postencode_update().

## ◆ this_frame_target

int RATE_CONTROL::this_frame_target

Target rate for frame after adjustment for previous under or over shoot.

Referenced by av1_rc_update_rate_correction_factors(), get_q(), rc_pick_q_and_bounds(), rc_pick_q_and_bounds_no_stats(), rc_pick_q_and_bounds_no_stats_cbr(), recode_loop_test(), and recode_loop_update_q().

## ◆ projected_frame_size

int RATE_CONTROL::projected_frame_size

Projected size for current frame

Referenced by av1_rc_update_rate_correction_factors(), av1_twopass_postencode_update(), encode_with_recode_loop(), recode_loop_test(), and recode_loop_update_q().

## ◆ coefficient_size

int RATE_CONTROL::coefficient_size

Bit size of transform coefficient for current frame.

Referenced by encode_frame_to_data_rate(), encode_with_recode_loop(), and encode_with_recode_loop_and_filter().

## ◆ sb64_target_rate

int RATE_CONTROL::sb64_target_rate

Super block rate target used with some adaptive quantization strategies.

## ◆ frames_since_golden

int RATE_CONTROL::frames_since_golden

Number of frames since the last ARF / GF.

## ◆ frames_till_gf_update_due

int RATE_CONTROL::frames_till_gf_update_due

Number of frames till the next ARF / GF is due.

Referenced by av1_get_second_pass_params(), find_next_key_frame(), and set_gf_interval_update_onepass_rt().

## ◆ intervals_till_gf_calculate_due

int RATE_CONTROL::intervals_till_gf_calculate_due

Number of determined gf groups left

Referenced by av1_get_second_pass_params(), calculate_gf_length(), define_gf_group(), and define_gf_group_pass0().

## ◆ frames_to_key

int RATE_CONTROL::frames_to_key

Frames before the next key frame

Referenced by av1_get_second_pass_params(), av1_restore_layer_context(), av1_twopass_postencode_update(), calculate_gf_length(), define_gf_group(), define_gf_group_pass0(), define_kf_interval(), encode_with_recode_loop_and_filter(), find_next_key_frame(), get_q(), and tf_setup_filtering_buffer().

## ◆ worst_quality

int RATE_CONTROL::worst_quality

User specified maximum Q allowed for current frame

Referenced by av1_encodedframe_overshoot_cbr(), av1_init_layer_context(), av1_twopass_postencode_update(), av1_update_layer_context_change_config(), dynamic_resize_one_pass_cbr(), get_twopass_worst_quality(), rc_pick_q_and_bounds_no_stats(), rc_pick_q_and_bounds_no_stats_cbr(), and recode_loop_update_q().

## ◆ best_quality

int RATE_CONTROL::best_quality

User specified minimum Q allowed for current frame

Referenced by av1_init_layer_context(), av1_update_layer_context_change_config(), get_twopass_worst_quality(), rc_pick_q_and_bounds(), rc_pick_q_and_bounds_no_stats(), rc_pick_q_and_bounds_no_stats_cbr(), and recode_loop_update_q().

## ◆ active_worst_quality

int RATE_CONTROL::active_worst_quality

Proposed maximum allowed Q for current frame

Referenced by av1_get_second_pass_params(), av1_rc_pick_q_and_bounds(), av1_twopass_postencode_update(), and rc_pick_q_and_bounds().

The documentation for this struct was generated from the following file:

- av1/encoder/ratectrl.h